uFRSimple

## Interface UFRSimpleDeclaration.UFRSimpleFunction

All Superinterfaces:
  com.sun.jna.Library

Enclosing class:
  UFRSimpleDeclaration

    public static interface UFRSimpleDeclaration.UFRSimpleFunction
    extends com.sun.jna.Library

### Nested Class Summary

### Nested classes/interfaces inherited from interface com.sun.jna.Library

`com.sun.jna.Library.Handler`

### Field Summary

Fields
`static UFRSimpleDeclaration.UFRSimpleFunction` `uFrINSTANCE`

### Fields inherited from interface com.sun.jna.Library

`OPTION_ALLOW_OBJECTS, OPTION_CALLING_CONVENTION, OPTION_FUNCTION_MAPPER, OPTION_INVOCATION_MAPPER, OPTION_STRUCTURE_ALIGNMENT, OPTION_TYPE_MAPPER`

### Method Summary

Methods
`int` `GetCardId(byte[] card_id, int[] card_serial)`
`int` `GetReaderSerialNumber(int[] reader_serial)`
`int` `GetReaderType(int[] reader_type)`
`int` `LinearFormatCard(byte[] key_a, byte block_access_bits, byte sector_access_bits, byte sector_trailers_byte9, byte[] key_b, com.sun.jna.ptr.ByteByReference sector_formatted, byte auth_mode, byte key_index)`
`int` `LinearRead(byte[] aucdata, int linear_address, int data_length, com.sun.jna.ptr.ShortByReference bytes_ret, byte auth_mode, int key_index)`
`int` `LinearWrite(byte[] aucdata, int linear_address, int data_length, com.sun.jna.ptr.ShortByReference bytes_written, byte auth_mode, int key_index)`
`int` `ReaderClose()`
`int` `ReaderKeyWrite(byte[] reader_key, byte key_index)`
`int` `ReaderOpen()`
`int` `ReaderUISignal(int light_mode, int sound_mode)`

### Field Detail

#### uFrINSTANCE

    static final UFRSimpleDeclaration.UFRSimpleFunction uFrINSTANCE

### Method Detail

#### ReaderOpen

    int ReaderOpen()

#### ReaderClose

    int ReaderClose()

#### GetReaderType

    int GetReaderType(int[] reader_type)

#### GetReaderSerialNumber

    int GetReaderSerialNumber(int[] reader_serial)

#### GetCardId

    int GetCardId(byte[] card_id,
                int[] card_serial)

#### ReaderUISignal

    int ReaderUISignal(int light_mode,
                     int sound_mode)

#### ReaderKeyWrite

    int ReaderKeyWrite(byte[] reader_key,
                     byte key_index)

#### LinearRead

    int LinearRead(byte[] aucdata,
                 int linear_address,
                 int data_length,
                 com.sun.jna.ptr.ShortByReference bytes_ret,
                 byte auth_mode,
                 int key_index)

#### LinearWrite

    int LinearWrite(byte[] aucdata,
                  int linear_address,
                  int data_length,
                  com.sun.jna.ptr.ShortByReference bytes_written,
                  byte auth_mode,
                  int key_index)

#### LinearFormatCard

    int LinearFormatCard(byte[] key_a,
                       byte block_access_bits,
                       byte sector_access_bits,
                       byte sector_trailers_byte9,
                       byte[] key_b,
                       com.sun.jna.ptr.ByteByReference sector_formatted,
                       byte auth_mode,
                       byte key_index)